
<?php
//code excerpts taken from dans examples on gitlab and sources on the VLE

$entriesFound = isset( $entries );
if ( $entriesFound === false ) {
    trigger_error( 'views/list-entries-html.php needs $entries' );
}

$entriesHTML = "<ul id='blog-entries'>";

//this while loop will loop over every blog entry and will print/echo the intro and title
//for each blog post

//the read more link will tell the controller to show that specific blog entry only
while ( $entry = $entries->fetchObject() ) {
    $href  = "index.php?page=blog&amp;id=$entry->entry_id";
    //create an <li> for each of the entries
    $entriesHTML .= "<li>
        <h2>$entry->title</h2>
        <div>$entry->intro
            <p><a href='$href'>Read more</a></p>
        </div>
    </li>"; 
}
$entriesHTML .= "</ul>";

echo $entriesHTML;

?>