<?php
// connect to the database
require('includes/db_connect.php');

// include the header HTML
include('templates/header.html');

//include footer HTML
include('templates/footer.html');

// include the navigation HTML
include('templates/naviation.html');


// Code to detect whether index.php has been requested without query string
// If no page parameter detected...
if (!isset($_GET['page'])) {
    $id = 'home'; 		// display home page
} else {
    $id = $_GET['page']; 	// else requested page
}


// Switch statement to decide content of page will go here.
// Regardless of which "view" is displayed, the variable $content will
switch ($id) {
  case 'home' :
    include 'views/home.php';
    break;
case 'record' :
    include 'views/record.php';
    break;
case 'artist' :
    include 'views/artist.php';
    break;
default :
    include 'views/404.php';
}

mysqli_close($link);

include('templates/footer.html')
		?>

